Rated 1 out of 5 stars

Doesn't work with MacOSX
FAQ mentions to use version 0,5 for MacOS
However this version doesn"t work with Snow Leopard and Firefox 3.6 !!
It is a pity!

This review is for a previous version of the add-on (0.9.3).